%global momorel 1
%global artsver 1.5.6
%global artsrel 2m
%global qtver 3.3.7
%global kdever 3.5.6
%global kdelibsrel 6m
%global kdeutilsrel 2m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 7a5d73e08bc133cc2db228cb6655670e

Summary: KDE application for watching TV
Name: kdetv
Version: 0.8.9
Release: %{momorel}m%{?dist}
License: LGPL
URL: http://www.kde-apps.org/content/show.php?content=11602
Group: Applications/Multimedia
%NoSource 0 http://dziegel.free.fr/releases/%{name}-%{version}.tar.bz2 %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdeutils >= %{kdever}-%{kdeutilsrel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: kdeutils >= %{kdever}-%{kdeutilsrel}
BuildPreReq: zvbi-devel
BuildPreReq: zlib-devel
BuildPreReq: libxml2
BuildPreReq: doxygen
BuildPreReq: gettext
BuildPreReq: desktop-file-utils

%description
kdetv is a KDE application that allows you to watch television on your
GNU/Linux box running KDE. You probably know it as QtVision, the completely
rewritten version of KWinTV.

%prep
%setup -q

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-kdetv-lirc \
	--with-zvbi \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/32x32/apps/kdetv.png %{buildroot}%{_datadir}/pixmaps/kdetv.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  %{buildroot}%{_datadir}/applnk/Multimedia/kdetv.desktop

# make symlinks relative
pushd %{buildroot}%{_docdir}/HTML
for lang in da et fr it nl pt ru sv ; do
  if [ -d $lang ]; then
    cd $lang
    for i in *; do
      if [ -d $i -a -L $i/common ]; then
        rm -f $i/common
        ln -sf ../docs/common $i
      fi
    done
    cd ..
  fi
done
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING* ChangeLog INSTALL README TODO
%{_bindir}/kdetv
%{_bindir}/kdetvv4lsetup
%{_libdir}/kde3/kdetv_*.la
%{_libdir}/kde3/kdetv_*.so
%{_libdir}/lib*.la
%{_libdir}/lib*.so*
%{_datadir}/applications/kde/kdetv.desktop
%{_datadir}/apps/kdetv
%{_datadir}/apps/profiles/kdetv.profile.xml
%{_datadir}/doc/HTML/*/kdetv
%{_datadir}/icons/*/*/*/kdetv.png
%{_datadir}/locale/*/LC_MESSAGES/kdetv.mo
%{_datadir}/pixmaps/kdetv.png
%{_datadir}/services/kdetv
%{_datadir}/servicetypes/kdetv

%changelog
* Mon Mar 19 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.9-1m)
- initial package for Momonga Linux
